/* Estilo base do botão */
.x-btn.buttonD {
  outline: none !important;
  font-family: 'Open Sans', system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Helvetica Neue', sans-serif !important;
  cursor: pointer !important;
  background: none !important;
  border: 2px solid transparent !important;
  transition: all 0.3s ease-in-out !important;
  font-size: 22px !important;
  border-radius: 6px !important;
  font-family: 'open_sansregular' !important;
}

/* Texto interno normal */
.x-btn.buttonD .x-btn-inner {
  transition: color 0.3s ease-in-out !important;
  transform-origin: center center;
}

/* Hover do botão */
.x-btn.buttonD:hover .x-btn-inner {
  transform: scale(1.05);
}

/* Variações de cor em tons comerciais */

/* Verde */
.x-btn.buttonD.verde {
  border-color: #2E8B57 !important;
  /* tom mais sóbrio */
}

.x-btn.buttonD.verde .x-btn-inner {
  color: #2E8B57 !important;
}

.x-btn.buttonD.verde:hover {
  background-color: #2E8B57 !important;
}

.x-btn.buttonD.verde:hover .x-btn-inner {
  color: white !important;
}

/* Vermelho */
.x-btn.buttonD.vermelho {
  border-color: #B22222 !important;
  /* bordô escuro */
}

.x-btn.buttonD.vermelho .x-btn-inner {
  color: #B22222 !important;
}

.x-btn.buttonD.vermelho:hover {
  background-color: #B22222 !important;
}

.x-btn.buttonD.vermelho:hover .x-btn-inner {
  color: white !important;
}

/* Amarelo */
.x-btn.buttonD.amarelo {
  border-color: #DAA520 !important;
  /* dourado suave */
}

.x-btn.buttonD.amarelo .x-btn-inner {
  color: #DAA520 !important;
}

.x-btn.buttonD.amarelo:hover {
  background-color: #DAA520 !important;
}

.x-btn.buttonD.amarelo:hover .x-btn-inner {
  color: rgb(255, 255, 255) !important;
}

/* Roxo */
.x-btn.buttonD.roxo {
  border-color: #6A5ACD !important;
  /* azul arroxeado, mais discreto */
}

.x-btn.buttonD.roxo .x-btn-inner {
  color: #6A5ACD !important;
}

.x-btn.buttonD.roxo:hover {
  background-color: #6A5ACD !important;
}

.x-btn.buttonD.roxo:hover .x-btn-inner {
  color: white !important;
}

/* Laranja */
.x-btn.buttonD.laranja {
  border-color: #FF8C42 !important;
  /* laranja queimado */
}

.x-btn.buttonD.laranja .x-btn-inner {
  color: #FF8C42 !important;
}

.x-btn.buttonD.laranja:hover {
  background-color: #FF8C42 !important;
}

.x-btn.buttonD.laranja:hover .x-btn-inner {
  color: white !important;
}

/* Azul */
.x-btn.buttonD.azul {
  border-color: #4dbdeb !important;
  /* azul corporativo */
}

.x-btn.buttonD.azul .x-btn-inner {
  color: #4dbdeb !important;
}

.x-btn.buttonD.azul:hover {
  background-color: #4dbdeb !important;
}

.x-btn.buttonD.azul:hover .x-btn-inner {
  color: white !important;
}